Method: advertisers.insertionOrders.targetingTypes.assignedTargetingOptions.get

  • This document outlines how to get a single targeting option assigned to an insertion order using an HTTP GET request.

  • The request requires specific path parameters including advertiserId, insertionOrderId, targetingType, and assignedTargetingOptionId.

  • The request body must be empty, and a successful response will contain an instance of AssignedTargetingOption.

  • Authorization requires the https://www.googleapis.com/auth/display-video OAuth scope.

Gets a single targeting option assigned to an insertion order.

HTTP request

GET https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/insertionOrders/{insertionOrderId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser the insertion order belongs to.

insertionOrderId

string (int64 format)

Required. The ID of the insertion order the assigned targeting option belongs to.

targetingType

enum (TargetingType)

Required. Identifies the type of this assigned targeting option.

assignedTargetingOptionId

string

Required. An identifier unique to the targeting type in this insertion order that identifies the assigned targeting option being requested.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of AssignedTargetingOption.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.